Update glacier

This commit is contained in:
everest 2022-06-16 14:52:38 +00:00 committed by GitHub
parent efada985df
commit faf8fe7ec8
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23

View File

@ -61,7 +61,7 @@ while [[ $# -gt 0 ]]; do
printf "\033[1;34m [ i ] \033[m Executing installation instructions...\n" printf "\033[1;34m [ i ] \033[m Executing installation instructions...\n"
./INSTALL.sh ./INSTALL.sh
if [ "$?" != "0" ]; then if [ "$?" != "0" ]; then
printf "$red [ $error ]$reset Instructions were either unable to execute, or encountered an error while executing." 1>&2 printf "$red [ $error ]$reset Instructions were either unable to execute, or encountered an error while executing.\n" 1>&2
exit 1 exit 1
fi fi
./$input.ts.sh ./$input.ts.sh
@ -104,7 +104,7 @@ while [[ $# -gt 0 ]]; do
printf "\033[1;34m [ i ] \033[m Executing update instructions...\n" printf "\033[1;34m [ i ] \033[m Executing update instructions...\n"
./UPDATE.sh ./UPDATE.sh
if [ "$?" != "0" ]; then if [ "$?" != "0" ]; then
printf "$red [ $error ]$reset Instructions were either unable to execute, or encountered an error while executing." 1>&2 printf "$red [ $error ]$reset Instructions were either unable to execute, or encountered an error while executing.\n" 1>&2
exit 1 exit 1
fi fi
./$input.ts.sh ./$input.ts.sh
@ -144,7 +144,7 @@ while [[ $# -gt 0 ]]; do
printf "$blue [ i ] $reset Executing removal instructions...\n" printf "$blue [ i ] $reset Executing removal instructions...\n"
./REMOVE.sh ./REMOVE.sh
if [ "$?" != "0" ]; then if [ "$?" != "0" ]; then
printf "$red [ $error ]$reset Instructions were either unable to execute, or encountered an error while executing." 1>&2 printf "$red [ $error ]$reset Instructions were either unable to execute, or encountered an error while executing.\n" 1>&2
exit 1 exit 1
fi fi
rm /var/log/glacier/$input.timestamp rm /var/log/glacier/$input.timestamp
@ -210,7 +210,7 @@ while [[ $# -gt 0 ]]; do
chmod +x $input.ts.sh chmod +x $input.ts.sh
./INSTALL.sh # Actually executes installation script ./INSTALL.sh # Actually executes installation script
if [ "$?" != "0" ]; then if [ "$?" != "0" ]; then
printf "$red [ $error ]$reset Instructions were either unable to execute, or encountered an error while executing." 1>&2 printf "$red [ $error ]$reset Instructions were either unable to execute, or encountered an error while executing.\n" 1>&2
exit 1 exit 1
fi fi
./$input.ts.sh ./$input.ts.sh